XmRenderTableGetRendition(library call)

NAME
XmRenderTableGetRendition — A convenience function that matches a rendition tag

SYNOPSIS

#include <Xm/Xm.h>
XmRendition XmRenderTableGetRendition(
XmRenderTable table,
XmStringTag tag);

DESCRIPTION

XmRenderTableGetRendition searches table and returns a copy of the rendition whose XmNtag resource matches tag. If no rendition matches, then NULL is returned. This function is to be used for just one rendition match.

It is the responsibility of the caller to free the returned rendition with the XmRenditionFree function.

table
    Specifies the table containing renditions to be searched.

tag Specifies the tag to search for.

RETURN

Returns NULL if there is no match; otherwise, this function returns a new XmRendition.

RELATED

XmRenderTableGetRenditions(3), XmRenderTableGetTags(3), and XmRendition(3).